精华内容
下载资源
问答
  • 让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的解决方法

    万次阅读 多人点赞 2014-11-26 11:53:24
    让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的解决方法,IE6 IE7 IE8 IE9 IE10 IE11,chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器等浏览器测试通过

    如有雷同,不胜荣幸,若转载,请注明

    让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的解决方法


    最近做一个Web网站,之前一直觉得bootstrap非常好,这次使用了bootstrap3,在chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器等浏览器下均没有问题,而在IE8及IE11下发现样式无法显示,然后各种百度啊,最后在 雅朋网 的一个网友帖子的帮助下解决了问题,也参考了 千寻学习网 的资料,先将解决方法总结如下:


    首先需要确保你的HTML页面开始部分要有DOCTYPE声明。DOCTYPE告诉浏览器使用什么样的HTML或XHTML规范来解析HTML文档,具体会影响:
    对标记attributes 、properties的约束规则
    对浏览器的渲染模式产生影响,不同的渲染模式会影响到浏览器对于CSS代码甚至JavaScript脚本的解析
    DOCTYPE是非常关键的,目前的最佳实践就是在HTML文档的首行键入:
    <!DOCTYPE html>


    大神的帖子总结的bootstrap的查找原因好几条,首先,Bootstrap3 是移动设备优先的原则开发的,所以原因可能如下:
    1.没有正确调用远程地址
    即只要是IE9以下,就调用两个专门的js
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="http://apps.bdimg.com/libs/html5shiv/3.7/html5shiv.min.js"></script>
      <script src="http://apps.bdimg.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    但是我测试发现仅仅使用以上js文件不可行,
    2.调用方法不正确
    不要用file://或@import形式引用respond.min.js或respond.js或css文件


    3.针对浏览器的内容做标识(使用meta标签调节浏览器的渲染方式)
    bootstrap不支持IE兼容模式,为了让IE浏览器运行最新的渲染模式,将添加以下标签在页面中
    <meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
    IE=edge表示强制使用IE最新内核,chrome=1表示如果安装了针对IE6/7/8等版本的浏览器插件Google Chrome Frame(可以让用户的浏览器外观依然是IE的菜单和界面,但用户在浏览网页时,实际上使用的是Chrome浏览器内核),那么就用Chrome内核来渲染。关于此meta标签的具体说明,可参见StackOverflow上的精彩回答,<meta>标签高人的英文解释可以参看
    http://stackoverflow.com/questions/6771258/whats-the-difference-if-meta-http-equiv-x-ua-compatible-content-ie-edge-e
    我有加了一句
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    然后就可以了
    内核控制Meta标签,因为目前国内的主流浏览器都是双内核,故而添加meta标签来告诉浏览器使用什么内核来渲染页面


    4.IE8不支持container的几个属性
    IE8不完全支持box-sizing:border-box与min-width, max-width, min-height或max-height的一起使用.所以,v3.0.1的bootstrap中对container的类,已经不再使用max-width了。


    5.JS与CSS的引入顺序导致的问题
    必须先引用css在引用js
    <link rel="stylesheet" type="text/css" href="bootstrap.min.css" media="screen"/>
    <script type="text/javascript" src="js/respond.min.js"></script>


    6.DOCTYPE前后有空行
    <!DOCTYPE html>
    这里有空格也不行,要去掉空格
    <html>


    7.也可以手动修改bootstrap.css
    如果您使用的是bootstrap2.1.1,修改了navbar-inner{ filter:none}可解决问题,如果使用的是3.0+版的,没有这段代码了,详细介绍请看连接
    http://stackoverflow.com/questions/12460190/bootstrap-navbar-does-not-show-in-ie8


    8.使用quirks mode(兼容模式)
    定义网页时,向后兼容旧的浏览器的模式就是quirks mode,与之对应的是“标准模式”就是 standard mode。具体是将<!DOCTYPE html>写成以前的这种
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
    这个我测试过,不可行


    最后我在IE11下测试通过,但是在IE8下测试,有发现一个问题placeholder不被支持
    下面是解决IE支持placeholder的方法
    本文引用的jquery是1.11.1测试通过,先引用jquery
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
    也可以用其他的jquery版本
    再引入<script type="text/javascript" src="js/jquery.placeholder.js"></script>
    jquery.placeholder.js这个文件的下载地址https://github.com/mathiasbynens/jquery-placeholder
    然后再文件中加入一下代码
    <script type="text/javascript">
        $(function () {
            // Invoke the plugin
            $('input, textarea').placeholder();
        });
    </script>
    如果我这里为涉及到的或者问题依然没有解决的请移步http://hustlzp.com/post/2014/01/ie8-compatibility更加详细


    以上IE6,7,8,9,10,11,chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器测试通过,只有IE5.5似乎不太可行,总之问题解决到此,万恶的IE6-都叫它打酱油去吧


    如果您不想使用jquery.placeholder.js,再不支持placeholder的浏览器下模拟placeholder实现
    可参考此文讲很详细http://ju.outofmemory.cn/entry/1595

    展开全文
  • create-react-app 支持IE(IE11/IE10/IE9

    千次阅读 2019-09-06 10:22:58
    create-react-app创建项目之后无法在IE上正常访问 修改代码支持IE11 (github地址:添加代码...修改代码支持IE10/IE9(github地址:添加代码支持IE10/IE9) 上一步骤之后,IE10/IE9存在下面问题 (1)安装 core...

    create-react-app创建项目之后无法在IE上正常访问

     

     

    修改代码支持IE11 (github地址:添加代码支持IE11)

    修改package.json,index.js,然后删除node_modules,重新安装


    修改代码支持IE10/IE9 (github地址:添加代码支持IE10/IE9)

    上一步骤之后,IE10/IE9存在下面问题

    (1)安装 core-js mutation-observer

    npm install core-js mutation-observer --save

    (2)index.js引入

    (3)webpack.config.js修改,调换位置


    修复遗留问题setprototypeof(github地址:修复兼容IE10/IE9遗留问题
     

    (1)安装setprototypeof

    npm install setprototypeof --save

    (2)手动添加polyfill.js

    import setprototypeof from  'setprototypeof';
    
    Object.setPrototypeOf = setprototypeof; 

    (3)index.js引入polyfill.js文件



    验证完成
     

     

    资源链接:

    https://github.com/facebook/create-react-app/issues/5674
    https://github.com/facebook/create-react-app/issues/5336
    https://github.com/facebook/create-react-app/tree/master/packages/react-app-polyfill
    https://github.com/wesleytodd/setprototypeof

    展开全文
  • IE8升级到IE9

    千次阅读 2019-06-25 08:28:10
    IE8升级到IE9 IE8升级到IE9: 控制面板->Windows Update -> 选择IE9 posted on 2012-04-16 21:15 Michael Shang 阅读(...) 评论(...) 编辑 收藏 var ...
    IE8升级到IE9: 控制面板->Windows Update -> 选择IE9
    posted on 2012-04-16 21:15 Michael Shang 阅读(...) 评论(...) 编辑 收藏

    转载于:https://www.cnblogs.com/MichaelShang/archive/2012/04/16/2452667.html

    展开全文
  • 做一个在线系统,PC端也要做,但要兼容千恶的IE8【IE6 是万恶,打死我都不会管IE6】,IE8 是我底线了md, 在IE8下 bottstrap 错乱,变形,不支持一些属性的问题,下面看了...让IE6 IE7 IE8 IE9 IE10 IE11支持Boots

    做一个在线系统,PC端也要做,但要兼容千恶的IE8【IE6 是万恶,打死我都不会管IE6】,IE8 是我底线了md,


    在IE8下 bottstrap 错乱,变形,不支持一些属性的问题,下面看了一篇 某兄台 借我手弄过来,供大家参考,一般参考第一、第三种方案,基本可以解决兼容问题。。。



    让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的解决方法


    最近做一个Web网站,之前一直觉得bootstrap非常好,这次使用了bootstrap3,在chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器等浏览器下均没有问题,而在IE8及IE11下发现样式无法显示,然后各种百度啊,最后在 雅朋网 的一个网友帖子的帮助下解决了问题,也参考了 千寻学习网 的资料,先将解决方法总结如下:


    首先需要确保你的HTML页面开始部分要有DOCTYPE声明。DOCTYPE告诉浏览器使用什么样的HTML或XHTML规范来解析HTML文档,具体会影响:
    对标记attributes 、properties的约束规则
    对浏览器的渲染模式产生影响,不同的渲染模式会影响到浏览器对于CSS代码甚至JavaScript脚本的解析
    DOCTYPE是非常关键的,目前的最佳实践就是在HTML文档的首行键入:
    <!DOCTYPE html>


    大神的帖子总结的bootstrap的查找原因好几条,首先,Bootstrap3 是移动设备优先的原则开发的,所以原因可能如下:
    1.没有正确调用远程地址
    即只要是IE9以下,就调用两个专门的js
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="http://apps.bdimg.com/libs/html5shiv/3.7/html5shiv.min.js"></script>
      <script src="http://apps.bdimg.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    但是我测试发现仅仅使用以上js文件不可行,
    2.调用方法不正确
    不要用file://或@import形式引用respond.min.js或respond.js或css文件


    3.针对浏览器的内容做标识(使用meta标签调节浏览器的渲染方式)
    bootstrap不支持IE兼容模式,为了让IE浏览器运行最新的渲染模式,将添加以下标签在页面中
    <meta http-equiv="X-UA-Compatible" content="IE=edge,Chrome=1" />
    IE=edge表示强制使用IE最新内核,chrome=1表示如果安装了针对IE6/7/8等版本的浏览器插件Google Chrome Frame(可以让用户的浏览器外观依然是IE的菜单和界面,但用户在浏览网页时,实际上使用的是Chrome浏览器内核),那么就用Chrome内核来渲染。关于此meta标签的具体说明,可参见StackOverflow上的精彩回答,<meta>标签高人的英文解释可以参看
    http://stackoverflow.com/questions/6771258/whats-the-difference-if-meta-http-equiv-x-ua-compatible-content-ie-edge-e
    我有加了一句
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    然后就可以了
    内核控制Meta标签,因为目前国内的主流浏览器都是双内核,故而添加meta标签来告诉浏览器使用什么内核来渲染页面


    4.IE8不支持container的几个属性
    IE8不完全支持box-sizing:border-box与min-width, max-width, min-height或max-height的一起使用.所以,v3.0.1的bootstrap中对container的类,已经不再使用max-width了。


    5.JS与CSS的引入顺序导致的问题
    必须先引用css在引用js
    <link rel="stylesheet" type="text/css" href="bootstrap.min.css" media="screen"/>
    <script type="text/javascript" src="js/respond.min.js"></script>


    6.DOCTYPE前后有空行
    <!DOCTYPE html>
    这里有空格也不行,要去掉空格
    <html>


    7.也可以手动修改bootstrap.css
    如果您使用的是bootstrap2.1.1,修改了navbar-inner{ filter:none}可解决问题,如果使用的是3.0+版的,没有这段代码了,详细介绍请看连接
    http://stackoverflow.com/questions/12460190/bootstrap-navbar-does-not-show-in-ie8


    8.使用quirks mode(兼容模式)
    定义网页时,向后兼容旧的浏览器的模式就是quirks mode,与之对应的是“标准模式”就是 standard mode。具体是将<!DOCTYPE html>写成以前的这种
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
    这个我测试过,不可行


    最后我在IE11下测试通过,但是在IE8下测试,有发现一个问题placeholder不被支持
    下面是解决IE支持placeholder的方法
    本文引用的jquery是1.11.1测试通过,先引用jquery
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
    也可以用其他的jquery版本
    再引入<script type="text/javascript" src="js/jquery.placeholder.js"></script>
    jquery.placeholder.js这个文件的下载地址https://github.com/mathiasbynens/jquery-placeholder
    然后再文件中加入一下代码
    <script type="text/javascript">
        $(function () {
            // Invoke the plugin
            $('input, textarea').placeholder();
        });
    </script>
    如果我这里为涉及到的或者问题依然没有解决的请移步http://hustlzp.com/post/2014/01/ie8-compatibility更加详细


    以上IE6,7,8,9,10,11,chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器测试通过,只有IE5.5似乎不太可行,总之问题解决到此,万恶的IE6-都叫它打酱油去吧


    -------------------------------------------------------------------------------------------------------------------

    -------------------------------------------------------------------------------------------------------------------


    Bootstrap 3兼容IE8浏览器(转)


    标签:

    Bootstrap是一个响应式的布局,你可以在宽屏电脑、普通电脑,平板电脑,手机上都得到非常优秀的布局体验。这种响应式的布局正是通过CSS3的媒体查询(Media Query)功能实现的,根据不同的分辨率来匹配不同的样式。IE8浏览器并不支持这一优秀的Css3特性,Bootstrap在开发文档中写了如何使用进行兼容IE8。但是笔者多次尝试没有成功,IE8的布局是乱的。直到今天忍无可忍,决定再尝试一下,最终获得成功。有些细节没有注意到,导致IE8没法响应式布局。

    下面讲解下如何让Bootstrap 3兼容IE8浏览器,至于有人会问我如何兼容IE6 IE7,请绕道搜索bsie (bootstrap2)。

    Bootstrap在IE8中肯定不如Chrome、Firefox、IE11那么完美,部分组件不保证完全兼容,还是要Hack的。这里不谈。

    1、使用html5文档声明

    使用zencoding的用户 输入 html:5 再按Tab键即可。

    2、加入meta标签

    前者定义媒体查询,后者确定显示此网页的IE版本。

    3、引入bootstrap文件

    这步十分重要,这里要看你是引用其他网站(CDN)的bootstrap文件还是把Bootstrap文件放本地。
    这里我放在本地,因为之后的部署比较简单。

     4、引入respond.js 和 html5.js

    respond.jsGithub)是用于媒体查询的,项目说明描述:要和需要进行媒体查询的文件放在同一域中。不然CDN部署的需要更改一些选项,之后再说。

    html5shiv : html5.js(Google Code)(Github)是让不(完全)支持html5的浏览器“支持”html5标签。

    4.1 CSS文件在CDN上(或子域名)的Respond.js部署

    详情请见:https://github.com/scottjehl/Respond#cdnx-domain-setup

    Github上说,这个js是通过ajax复制一份你的css文件。所以需要一个代理页面去请求文件。

    需要上传一些文件,步骤比较复杂,而且一般公共CDN基本没人有这种操作权限。

    之后再添加代码。

    5、添加1.X版本的Jquery库

    Jquery 2.0以上就不再支持IE 6/7/8 这三大虐心神器了。所以要想使用Bootstrap3中的一些插件效果,比如modal 弹出层对话框这类控件。我们就需要添加 2.0以下的,这里我用1.10.2的Jquery库。

     6、总结

    本人非前端工程师,只是爱好者一枚,如有错误还请批评指教。大家相互学习~

    本人也正是做了个Bootstrap3的小项目(姓名代码查询),正是这个项目让我总结以上经验出来。

    主要还是在于让respond.js起效果,关键就是让bootstrap的文件和respond.js同域,不同域需要用CDN上的html做ajax。

    懒人代码总结如下:

    <!doctype html>
    <html lang="zh-CN">
    <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="author" content="Jophy" />//可删
    <title>ie8</title>
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="bootstrap/css/style.css">//根据需要引用
    <!--[if lte IE 9]>
    <script src="bootstrap/js/respond.min.js"></script>
    <script src="bootstrap/js/html5.js"></script>//根据需要引用(本此项目未引用)
    <![endif]-->
    <script src="http://libs.baidu.com/jquery/1.10.2/jquery.js"></script>//根据需要引用
    <script src="bootstrap/js/bootstrap.min.js"></script>
    </head>//根据需要引用
    <body>
    </body>
    </html>

     

     

    原文引自:http://www.ijophy.com/2014/05/bootstrap3-compatible-with-ie8.html

    展开全文
  • 防止原文章被删,这里也写...本文为大家分享的是一篇让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的方法 ,感兴趣的同学参考下。 bootstrap简介 Bootstrap是Twitter推出的一个开源的用于前端开发的工具包。它由Tw
  • 一行代码解决各种IE兼容问题,IE6,IE7,IE8,IE9,IE10
  • IE9 IE10 IE11兼容性更改

    千次阅读 2013-12-06 18:13:43
    IE9 IE10 IE11兼容性更改
  • 以上就是关于“ IE浏览器升级(从ie8到ie9) ”的全部内容。
  • 这两天看了 js 在 ie9 上的兼容性问题,发现 ie8、ie9 要获取 file 类型的 input 的文件大小,很麻烦。 首先要 ie8、ie9 浏览器要开启对未标记的 ActiveX 控件和插件初始化并执行脚本,而这已经被 ie 标记为风险...
  • IE9修复工具

    热门讨论 2012-03-22 15:39:49
    绝对好用,我用过很多次了,很好的IE9修复工具!
  • IE8,IE9,IE10 HACK

    千次阅读 2014-07-10 18:34:32
    因为IE8及以下版本是不支持CSS3的,但是我们如果使用css3,在IE下IE9正常渲染,但我们又想让IE8及以下的浏览器实现同样的效果,且不希望使用css3pie或htc或条件注释等方法时,可能就会需要用到IE8和IE9的专属css hack了. ...
  • css兼容ie9-ie11写法

    千次阅读 2019-09-12 11:14:21
    1.普通代码 ...2.兼容ie9-ie10 .aaa{padding:0 6px\9;} 3.兼容ie10-ie11 @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) { .aaa{padding: 0 6px;} } 亲测有效 ...
  • IE9 cors 兼容

    千次阅读 2018-05-31 16:23:53
    最近折腾VUE,数据请求使用axios,后台开启了cors,但是IE9 IE8却不支持谷歌了,百度了都通篇一律说xmlhttprequest在IE9 IE8下不支持CORS查到的信息都是xdomainrequest可以替代xmlhttprequest在IE9 ie8上执行但是我...
  • 在IE10上面,我按F12可以看到网络那个表有发出请求的URL ,但是在IE9ie9以下的浏览器就没有看到发出请求的URL
  • 浏览器兼容 谷歌IE8.js,IE9.js下载

    热门讨论 2016-01-29 16:29:26
    浏览器兼容 谷歌IE8.js,IE9.js下载
  • WIN7系统下如何把IE8升级成IE9

    万次阅读 2018-03-26 18:25:04
    Windows7系统升级IE8为IE9
  • 左边会消失,只有ie9中会出现这个问题,可是在我打开ie9的f12调试工具的时候乱掉的样式会变回来,然后再弹出框都不会再乱掉,应该是打开f12后页面重新以它的模式加载了,可是我已经在jsp页面设置了以ie9模式加载,...
  • 谷歌的IE9.js

    热门讨论 2014-09-29 11:28:15
    谷歌的IE9.js
  • JS代码判断IE6,IE7,IE8,IE9

    千次阅读 2016-04-28 09:51:00
    JS代码判断IE6,IE7,IE8,IE9 下面是检测Microsoft Internet Explorer版本的三种代码!  有一种代码:   var browser=navigator.appName  var b_version=navigator.appVersion  var version=b_version....
  • 让IE6 IE7 IE8 IE9 IE10 IE11支持Bootstrap的解决方法 最近做一个Web网站,之前一直觉得bootstrap非常好,这次使用了bootstrap3,在chrome,firefox,safari,opera,360浏览器(极速模式)、搜狗浏览器等浏览器下均...
  • IE9 降级IE8

    千次阅读 2012-07-12 12:17:15
    控制面板: 1、程序和功能 2、查看已安装的更新 3、找到IE9,右键,卸载,重启 4、如果在打开关闭windows功能中取消了IE9,则在此项上勾选中自动降级的IE8,重启即可。
  • 判断是否IE浏览器极其版本主要是三种方法,第一种是通过 if IE 条件注释语句,第二种是通过 @cc_on 条件编译结合 document.documentMode 属性来判断,第三种则是简单粗暴地通过 JS ...缺点:仅支持到IE9,不支持IE10...
  • 关于IE8 IE9 兼容性问题

    千次阅读 2019-05-26 16:28:23
    在IE8 IE9中 不支持background的连写,但是可以写到 repeat属性 background:url(’’) no-repeat 定位就要分开写了; 不支持background-size属性 网上主要说是两种解决方法一种是使用.htc文件一种是使用滤镜。 但是...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 39,650
精华内容 15,860
关键字:

ie9